org.springframework.data.relational.core.sql

## Class LockOptions

- java.lang.Object
- - org.springframework.data.relational.core.sql.LockOptions

    public class LockOptions
    extends Object

Value object providing lock options to apply to a `Select` statement.

Since:
  2.0
Author:
  Myeonghyeon Lee

### Constructor Summary

Constructors
Constructor and Description
`LockOptions(LockMode lockMode, From from)`

### Method Summary

All Methods Instance Methods Concrete Methods
`From` `getFrom()`
`LockMode` `getLockMode()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LockOptions

    public LockOptions(LockMode lockMode,
                       From from)

### Method Detail

#### getLockMode

    public LockMode getLockMode()

#### getFrom

    public From getFrom()